///File : MasseMolaire.hpp
//------------------------------------------------------------------------------
/*
    This file is part of massmol.

    massmol is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    massmol is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with massmol.  If not, see <http://www.gnu.org/licenses/>.
*/
//------------------------------------------------------------------------------
#ifndef MASSE_MOLAIRE_HPP
#define MASSE_MOLAIRE_HPP

typedef struct MoleculeDecomposee MoleculeDecomposee;
struct MoleculeDecomposee
{
    double *nbAtomes;
    wxString *AtomesNames;
    unsigned int nbAtomInMolecul;
    bool isOk;
    wxString nomHTMLMolecule;
};

class CMasseMolaire
{
public:
    CMasseMolaire(const wxString &FileName);
    CMasseMolaire();
    ~CMasseMolaire();
    void OpenAtomesFile(const wxString &FileName);
    wxString GetInfoMolecule(const wxString &MoleculeName);

protected:
    bool IsMin(char letter) const;
    bool IsMaj(char letter) const;
    void DecomposeMolecule(const wxString &MoleculeName);
    double GetMasseMolaireAtome(const wxString &MoleculeName) const;
    int GetZAtom(const wxString &AtomName) const;
    int GetNAtom(const wxString &AtomName) const;

    wxString GetMasseMolaireCalcul(const wxString &MoleculeName);
    wxString GetAZCalcul(const wxString &MoleculeName);
    wxString GetMasseAtomiqueCalcul(const wxString &MoleculeName);
    wxString CanMoleculExist(const wxString &MoleculeName);

    MoleculeDecomposee m_MoleculeDecomposeeEnCours;

    bool isOk;
    wxString *m_TblNomAtomes;
    double *m_tblMasseMolAtomes;
    int *m_tblAtomeZ, *m_tblAtomeA;
    int m_nbAtomes;
};

#endif //MASSE_MOLAIRE_HPP
